<%@ Page Language="C#" AutoEventWireup="true" Codebehind="Presentations.aspx.cs" errorPage="~/Error.aspx" Inherits="SecurityLinkUp.Admin.Presentations" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<html>
<body>
    <form id="Form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager> 
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <table cellpadding="10">
                    <tr>
                        <th>
                            Submitted Presentations
                        </th>
                        <th>
                            Accepted Presentations
                        </th>
                    </tr>
                    <tr>
                        <td valign="top">
                            <div style="width: 300px; height: 250px; overflow: auto;">
                                <asp:PlaceHolder ID="PresentatonsPlaceholder" runat="server"></asp:PlaceHolder>
                            </div>
                        </td>
                        <td valign="top">
                            <div style="width: 300px; height: 250px; overflow: auto;">
                                <cc1:ReorderList ID="AcceptedPresentations" runat="server" Height="250px" Width="300px"
                                    OnItemReorder="AcceptedPresentations_ItemReorder">
                                    <ItemTemplate>
                                        <div class="reorderlistitem">
                                            <asp:HiddenField ID="PresentationID" runat="server" Value='<%# Eval("uid") %>' />
                                            <asp:Label ID="PresentationTitle" runat="server" Text='<%# Eval("Title") %> ' />
                                            -
                                            <asp:Label ID="Label1" runat="server" Text='<%# Eval("EstimatedDuration") %> ' />
                                        </div>
                                    </ItemTemplate>
                                    <ReorderTemplate>
                                        <div class="reorderdropitem">
                                        </div>
                                    </ReorderTemplate>
                                </cc1:ReorderList>
                            </div>
                            <br />
                            <p>
                                Drag and drop items to set order</p>
                        </td>
                    </tr>
                </table>
            </ContentTemplate>
        </asp:UpdatePanel>
     </form>
</body>
</html> 
