<%@ Page Language="C#" AutoEventWireup="true" Codebehind="Users.aspx.cs" errorPage="~/Error.aspx" Inherits="SecurityLinkUp.Admin.Users" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<html>
<body>
    <form id="Form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <table style="width: 650px">
                    <tr>
                        <td colspan="2">
                            Show
                            <asp:DropDownList ID="TypeList" runat="server" AutoPostBack="True" OnSelectedIndexChanged="TypeList_SelectedIndexChanged">
                                <asp:ListItem>Communities</asp:ListItem>
                                <asp:ListItem>Chapters</asp:ListItem>
                            </asp:DropDownList>
                            I admin<br />
                            <br />
                            Show
                            <asp:DropDownList ID="ChapterCommunityList" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ChapterCommunityList_SelectedIndexChanged"
                                Width="245px">
                            </asp:DropDownList>&nbsp;<asp:CheckBox ID="AdminModeChk" runat="server" AutoPostBack="True"
                                OnCheckedChanged="AdminModeChk_CheckedChanged" Text="Set Admin Mode" Visible="False" /><br />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <table>
                                <tr>
                                    <td>
                                        Name</td>
                                    <td>
                                        <asp:TextBox ID="Name" runat="server" ReadOnly="True" Width="200px"></asp:TextBox>
                                        <td>
                                </tr>
                                <tr>
                                    <td>
                                        Description</td>
                                    <td>
                                        <asp:TextBox ID="Description" runat="server" ReadOnly="True" Rows="4" TextMode="MultiLine"
                                            Width="200px"></asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 325px; height: 245px;" valign="top">
                            Current Admin Users<br />
                            <div class="controlblock" style="width: 300px; height: 200px; overflow: auto;">
                                <asp:PlaceHolder ID="AdminUsersPlaceholder" runat="server"></asp:PlaceHolder>
                            </div>
                            <asp:Button ID="RemoveUsersBtn" runat="server" Text="Remove Selected Users From Admins"
                                Width="301px" OnClick="RemoveUsersBtn_Click" /></td>
                        <td style="width: 325px; height: 245px;" valign="top">
                            All Users<br />
                            <div class="controlblock" style="width: 300px; height: 200px; overflow: auto;">
                                <asp:PlaceHolder ID="AllUsersPlaceholder" runat="server"></asp:PlaceHolder>
                            </div>
                            <asp:Button ID="AddUsersBtn" runat="server" Text="Add Selected Users As Admins" Width="298px"
                                OnClick="AddUsersBtn_Click" /></td>
                    </tr>
                </table>
            </ContentTemplate>
        </asp:UpdatePanel>
    </form>
</body>
</html>
