<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" errorPage="~/Error.aspx" Codebehind="Register.aspx.cs"
    Inherits="SecurityLinkUp.Register" Title="Registration" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder" runat="server">
    <asp:UpdatePanel ID="UpdatePanel" runat="server">
        <ContentTemplate>
            <p class="PageTitle">
                Register with SecurityLinkUp</p>
            <table>
                <tr>
                    <td>
                        User name</td>
                    <td>
                        <asp:TextBox ID="Username" runat="server"></asp:TextBox></td>
                </tr>
                <tr>
                    <td>
                        Password</td>
                    <td>
                        <asp:TextBox ID="Password" runat="server" TextMode="Password"></asp:TextBox>
                        <cc1:PasswordStrength ID="PasswordStrength" runat="server" StrengthIndicatorType="Text"
                            PreferredPasswordLength="10" PrefixText="Strength:" TextCssClass="PasswordStrength"
                            MinimumNumericCharacters="1" MinimumSymbolCharacters="1" RequiresUpperAndLowerCaseCharacters="true"
                            TextStrengthDescriptions="Poor;Weak;Average;Strong;Excellent" TargetControlID="Password">
                        </cc1:PasswordStrength>
                    </td>
                </tr>
                <tr>
                    <td>
                        Confirm Password</td>
                    <td>
                        <asp:TextBox ID="ConfirmPassword" runat="server" TextMode="Password"></asp:TextBox></td>
                </tr>
                <tr>
                    <td>
                        Real Name</td>
                    <td>
                        <asp:TextBox ID="RealName" runat="server"></asp:TextBox></td>
                </tr>
                <tr>
                    <td>
                        Email</td>
                    <td>
                        <asp:TextBox ID="Email" runat="server"></asp:TextBox></td>
                </tr>
                <tr>
                    <td>
                        Security Question</td>
                    <td>
                        <asp:DropDownList ID="SecurityQuestion" runat="server">
                            <asp:ListItem>Mothers Birthplace</asp:ListItem>
                            <asp:ListItem>Best Childhood Friend</asp:ListItem>
                            <asp:ListItem>Name of First Pet</asp:ListItem>
                            <asp:ListItem>Favorite Teacher</asp:ListItem>
                            <asp:ListItem>Your First School</asp:ListItem>
                            <asp:ListItem>Grandfather's Occupation</asp:ListItem>
                        </asp:DropDownList></td>
                </tr>
                <tr>
                    <td style="height: 26px">
                        Security Answer</td>
                    <td style="height: 26px">
                        <asp:TextBox ID="SecurityAnswer" runat="server"></asp:TextBox></td>
                </tr>
                <tr>
                    <td colspan="2">
                        <asp:Label ID="ErrorMessage" CssClass="ErrorMessage" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td align="right">
                        <asp:Button ID="RegisterBtn" runat="server" Text="Register" OnClick="RegisterBtn_Click" /></td>
                </tr>
            </table>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
