<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" errorPage="~/Error.aspx" Codebehind="Default.aspx.cs"
    Inherits="SecurityLinkUp.Default" Title="SecurityLinkUp.com" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="atlasToolkit" %>
<%@ Register Assembly="PietschSoft.VE" Namespace="PietschSoft.VE" TagPrefix="PietschSoftVE" %>
<%@ Register Src="CommunitySummaryCtrl.ascx" TagName="CommunitySummary" TagPrefix="communityctrl" %>
<%@ Register Src="ChapterSummaryCtrl.ascx" TagName="ChapterSummary" TagPrefix="chapterctrl" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder" runat="server">
    <div id="NewsPanel">
        Message / News in here
    </div>
    <div id="CommunityNav">
        <asp:UpdatePanel ID="CommunityUpdatePanel" runat="server">
            <ContentTemplate> 
                <asp:Label ID="Label1" runat="server" Text="Label">Select a community</asp:Label>
                <br />
                <asp:ListBox ID="CommunityListBox" runat="server" Width="176px" OnSelectedIndexChanged="CommunityListBox_SelectedIndexChanged"
                    AutoPostBack="True" Height="96px"></asp:ListBox>&nbsp;<br />
                <br />
                <asp:Label ID="Label2" runat="server" Text="Label">Select a chapter</asp:Label>
                <br />
                <asp:ListBox ID="ChapterListBox" runat="server" Width="175px" AutoPostBack="True" OnSelectedIndexChanged="ChapterListBox_SelectedIndexChanged" Height="88px"></asp:ListBox>&nbsp;
        </ContentTemplate>
        </asp:UpdatePanel>
        
        <br />
        Don't see a community or chapter for you? <a href="ChapterCommunityRequest.aspx">Click here</a> to request one to be created&nbsp;</div>
    <div id="SummaryInfo">
        <asp:UpdatePanel ID="InfoUpdatePanel" runat="server">
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="CommunityListBox" EventName="SelectedIndexChanged" />
                <asp:AsyncPostBackTrigger ControlID="ChapterListBox" EventName="SelectedIndexChanged" />
            </Triggers>
            <ContentTemplate>
                <asp:UpdateProgress ID="UpdateProgress1" runat="server">
                <ProgressTemplate>
                Loading...
                </ProgressTemplate>
                </asp:UpdateProgress>
                <asp:Panel ID="OverviewPanel" runat="server" Visible="true">
                    <p>
                        Currently SecurityLinkUp has 
                        <strong><asp:Label ID="CountCommunities" runat="server" Text="Label">XXX</asp:Label></strong> active communities and <strong><asp:Label ID="CountChapters" runat="server" Text="Label">XXX</asp:Label></strong> active chapters.</p>
                    <PietschSoftVE:Map runat="server" ID="Map" Width="400" Height="250" Zoom="0" Latitude="20.0" Longitude="10.0" ShowDashboard="false" />
                    <p>Select a community and a chapter from the lists on the left to find out more!</p>
                </asp:Panel>
                <asp:Panel ID="CommunityPanel" runat="server" Visible="false">
                    <communityctrl:CommunitySummary ID="CommunitySummary" runat="server"></communityctrl:CommunitySummary>
                </asp:Panel>
                <asp:Panel ID="ChapterPanel" runat="server" Visible="false">
                    <chapterctrl:ChapterSummary ID="ChapterSummary" runat="server"></chapterctrl:ChapterSummary>
                </asp:Panel>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    
</asp:Content>
