<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" errorPage="~/Error.aspx" Codebehind="ViewChapter.aspx.cs"
    Inherits="SecurityLinkUp.ViewChapter" Title="View Chapter" %>

<%@ Register Assembly="PietschSoft.VE" Namespace="PietschSoft.VE" TagPrefix="PietschSoftVE" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <table width="100%">
                <tr>
                    <td align="left" valign="top">
                        <asp:Label ID="ChapterName" runat="server" Height="25px" Text="XXX" Width="350px"></asp:Label><br />
                        <asp:Label ID="ChapterDescription" runat="server" Height="50px" Text="XXX" Width="550px"></asp:Label><br />
                        <asp:LinkButton ID="JoinLink" runat="server" OnClick="JoinLink_Click"></asp:LinkButton></td>
                    <td align="right" valign="top" style="width: 52px">
                        Chapter Stats...<br>
                        <asp:Label ID="MembersCount" runat="server" Text="" Width="200px"></asp:Label><br />
                        <asp:Label ID="MeetingsCount" runat="server" Text="" Width="200px"></asp:Label><br />
                        <asp:Label ID="NextMeeting" runat="server" Text="" Width="200px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <hr />
            <br />
            <table>
                <tr>
                    <td valign="top">
                        Meetings<br />
                        <asp:Calendar ID="MeetingsCalendar" runat="server" OnSelectionChanged="MeetingsCalendar_SelectionChanged"></asp:Calendar>
                        <td>
                            <td valign="top">
                                Meeting Info<br />
                                <asp:UpdatePanel ID="UpdatePanel2" runat="server">
                                    <Triggers>
                                        <asp:AsyncPostBackTrigger ControlID="MeetingsCalendar" EventName="SelectionChanged" />
                                    </Triggers>
                                    <ContentTemplate>
                                        <table>
                                            <tr>
                                                <td>
                                                    Organizer</td>
                                                <td>
                                                    <asp:Label ID="Organizer" runat="server" Text=""></asp:Label></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    Meeting Title</td>
                                                <td>
                                                    <asp:Label ID="MeetingTitle" runat="server" Text=""></asp:Label></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    Start</td>
                                                <td>
                                                    <asp:Label ID="Start" runat="server" Text=""></asp:Label></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    End</td>
                                                <td>
                                                    <asp:Label ID="End" runat="server" Text=""></asp:Label></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    Description</td>
                                                <td>
                                                    <asp:Label ID="Description" runat="server" Text=""></asp:Label></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    Location</td>
                                                <td>
                                                    <asp:Label ID="location" runat="server" Text=""></asp:Label></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                </td>
                                                <td>
                                                    <asp:HyperLink ID="MeetingLink" runat="server" Width="268px"></asp:HyperLink></td>
                                            </tr>
                                        </table>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                            </td>
                </tr>
            </table>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
